=== modified file 'statistics/gsl_statistics_float.h'
--- statistics/gsl_statistics_float.h	2013-03-30 20:12:56 +0000
+++ statistics/gsl_statistics_float.h	2013-03-30 20:59:11 +0000
@@ -22,17 +22,17 @@
 
 #include <stddef.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 double gsl_stats_float_mean (const float data[], const size_t stride, const size_t n);
 double gsl_stats_float_variance (const float data[], const size_t stride, const size_t n);
@@ -94,6 +94,6 @@
 double gsl_stats_float_median_from_sorted_data (const float sorted_data[], const size_t stride, const size_t n) ;
 double gsl_stats_float_quantile_from_sorted_data (const float sorted_data[], const size_t stride, const size_t n, const double f) ;
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_STATISTICS_FLOAT_H */

=== modified file 'statistics/gsl_statistics_int.h'
--- statistics/gsl_statistics_int.h	2013-03-30 20:12:56 +0000
+++ statistics/gsl_statistics_int.h	2013-03-30 20:59:11 +0000
@@ -22,17 +22,17 @@
 
 #include <stddef.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 double gsl_stats_int_mean (const int data[], const size_t stride, const size_t n);
 double gsl_stats_int_variance (const int data[], const size_t stride, const size_t n);
@@ -74,6 +74,6 @@
 double gsl_stats_int_median_from_sorted_data (const int sorted_data[], const size_t stride, const size_t n) ;
 double gsl_stats_int_quantile_from_sorted_data (const int sorted_data[], const size_t stride, const size_t n, const double f) ;
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_STATISTICS_INT_H */

=== modified file 'statistics/gsl_statistics_long.h'
--- statistics/gsl_statistics_long.h	2013-03-30 20:12:56 +0000
+++ statistics/gsl_statistics_long.h	2013-03-30 20:59:11 +0000
@@ -22,17 +22,17 @@
 
 #include <stddef.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 double gsl_stats_long_mean (const long data[], const size_t stride, const size_t n);
 double gsl_stats_long_variance (const long data[], const size_t stride, const size_t n);
@@ -74,6 +74,6 @@
 double gsl_stats_long_median_from_sorted_data (const long sorted_data[], const size_t stride, const size_t n) ;
 double gsl_stats_long_quantile_from_sorted_data (const long sorted_data[], const size_t stride, const size_t n, const double f) ;
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_STATISTICS_LONG_H */

=== modified file 'statistics/gsl_statistics_long_double.h'
--- statistics/gsl_statistics_long_double.h	2013-03-30 20:12:56 +0000
+++ statistics/gsl_statistics_long_double.h	2013-03-30 20:59:11 +0000
@@ -22,17 +22,17 @@
 
 #include <stddef.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 double gsl_stats_long_double_mean (const long double data[], const size_t stride, const size_t n);
 double gsl_stats_long_double_variance (const long double data[], const size_t stride, const size_t n);
@@ -94,6 +94,6 @@
 double gsl_stats_long_double_median_from_sorted_data (const long double sorted_data[], const size_t stride, const size_t n) ;
 double gsl_stats_long_double_quantile_from_sorted_data (const long double sorted_data[], const size_t stride, const size_t n, const double f) ;
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_STATISTICS_LONG_DOUBLE_H */

=== modified file 'statistics/gsl_statistics_short.h'
--- statistics/gsl_statistics_short.h	2013-03-30 20:12:56 +0000
+++ statistics/gsl_statistics_short.h	2013-03-30 20:59:11 +0000
@@ -22,17 +22,17 @@
 
 #include <stddef.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 double gsl_stats_short_mean (const short data[], const size_t stride, const size_t n);
 double gsl_stats_short_variance (const short data[], const size_t stride, const size_t n);
@@ -74,6 +74,6 @@
 double gsl_stats_short_median_from_sorted_data (const short sorted_data[], const size_t stride, const size_t n) ;
 double gsl_stats_short_quantile_from_sorted_data (const short sorted_data[], const size_t stride, const size_t n, const double f) ;
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_STATISTICS_SHORT_H */

=== modified file 'statistics/gsl_statistics_uchar.h'
--- statistics/gsl_statistics_uchar.h	2013-03-30 20:12:56 +0000
+++ statistics/gsl_statistics_uchar.h	2013-03-30 20:59:11 +0000
@@ -22,17 +22,17 @@
 
 #include <stddef.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 double gsl_stats_uchar_mean (const unsigned char data[], const size_t stride, const size_t n);
 double gsl_stats_uchar_variance (const unsigned char data[], const size_t stride, const size_t n);
@@ -74,6 +74,6 @@
 double gsl_stats_uchar_median_from_sorted_data (const unsigned char sorted_data[], const size_t stride, const size_t n) ;
 double gsl_stats_uchar_quantile_from_sorted_data (const unsigned char sorted_data[], const size_t stride, const size_t n, const double f) ;
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_STATISTICS_UCHAR_H */

=== modified file 'statistics/gsl_statistics_uint.h'
--- statistics/gsl_statistics_uint.h	2013-03-30 20:12:56 +0000
+++ statistics/gsl_statistics_uint.h	2013-03-30 20:59:11 +0000
@@ -22,17 +22,17 @@
 
 #include <stddef.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 double gsl_stats_uint_mean (const unsigned int data[], const size_t stride, const size_t n);
 double gsl_stats_uint_variance (const unsigned int data[], const size_t stride, const size_t n);
@@ -74,6 +74,6 @@
 double gsl_stats_uint_median_from_sorted_data (const unsigned int sorted_data[], const size_t stride, const size_t n) ;
 double gsl_stats_uint_quantile_from_sorted_data (const unsigned int sorted_data[], const size_t stride, const size_t n, const double f) ;
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_STATISTICS_UINT_H */

=== modified file 'statistics/gsl_statistics_ulong.h'
--- statistics/gsl_statistics_ulong.h	2013-03-30 20:12:56 +0000
+++ statistics/gsl_statistics_ulong.h	2013-03-30 20:59:11 +0000
@@ -22,17 +22,17 @@
 
 #include <stddef.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 double gsl_stats_ulong_mean (const unsigned long data[], const size_t stride, const size_t n);
 double gsl_stats_ulong_variance (const unsigned long data[], const size_t stride, const size_t n);
@@ -74,6 +74,6 @@
 double gsl_stats_ulong_median_from_sorted_data (const unsigned long sorted_data[], const size_t stride, const size_t n) ;
 double gsl_stats_ulong_quantile_from_sorted_data (const unsigned long sorted_data[], const size_t stride, const size_t n, const double f) ;
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_STATISTICS_ULONG_H */

=== modified file 'statistics/gsl_statistics_ushort.h'
--- statistics/gsl_statistics_ushort.h	2013-03-30 20:12:56 +0000
+++ statistics/gsl_statistics_ushort.h	2013-03-30 20:59:11 +0000
@@ -22,17 +22,17 @@
 
 #include <stddef.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 double gsl_stats_ushort_mean (const unsigned short data[], const size_t stride, const size_t n);
 double gsl_stats_ushort_variance (const unsigned short data[], const size_t stride, const size_t n);
@@ -74,6 +74,6 @@
 double gsl_stats_ushort_median_from_sorted_data (const unsigned short sorted_data[], const size_t stride, const size_t n) ;
 double gsl_stats_ushort_quantile_from_sorted_data (const unsigned short sorted_data[], const size_t stride, const size_t n, const double f) ;
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_STATISTICS_USHORT_H */

=== modified file 'sum/gsl_sum.h'
--- sum/gsl_sum.h	2013-03-30 20:12:56 +0000
+++ sum/gsl_sum.h	2013-03-30 20:59:11 +0000
@@ -25,17 +25,17 @@
 
 #include <stdlib.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS          /* empty */
-# define __END_DECLS            /* empty */
+# define GSL_BEGIN_DECLS          /* empty */
+# define GSL_END_DECLS            /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 /*  Workspace for Levin U Transform with error estimation,
  *   
@@ -157,6 +157,6 @@
                                gsl_sum_levin_utrunc_workspace * w, 
                                double *sum_accel);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_SUM_H */

=== modified file 'sys/gsl_sys.h'
--- sys/gsl_sys.h	2013-03-30 20:12:56 +0000
+++ sys/gsl_sys.h	2013-03-30 20:59:11 +0000
@@ -20,17 +20,17 @@
 #ifndef GSL_SYS_H
 #define GSL_SYS_H
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 double gsl_log1p (const double x);
 double gsl_expm1 (const double x);
@@ -58,6 +58,6 @@
 
 int gsl_fcmp (const double x1, const double x2, const double epsilon);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_SYS_H */

=== modified file 'test/gsl_test.h'
--- test/gsl_test.h	2013-03-30 20:12:56 +0000
+++ test/gsl_test.h	2013-03-30 20:59:11 +0000
@@ -20,17 +20,17 @@
 #ifndef GSL_TEST_H
 #define GSL_TEST_H
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 void
   gsl_test (int status, const char *test_description, ...);
@@ -61,6 +61,6 @@
   gsl_test_summary (void) ;
 
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_TEST_H */

=== modified file 'vector/gsl_vector_char.h'
--- vector/gsl_vector_char.h	2013-03-30 20:12:56 +0000
+++ vector/gsl_vector_char.h	2013-03-30 20:59:11 +0000
@@ -27,17 +27,17 @@
 #include <gsl/gsl_check_range.h>
 #include <gsl/gsl_block_char.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 typedef struct 
 {
@@ -223,7 +223,7 @@
 }
 #endif /* HAVE_INLINE */
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_VECTOR_CHAR_H */
 

=== modified file 'vector/gsl_vector_complex_double.h'
--- vector/gsl_vector_complex_double.h	2013-03-30 20:12:56 +0000
+++ vector/gsl_vector_complex_double.h	2013-03-30 20:59:11 +0000
@@ -29,17 +29,17 @@
 #include <gsl/gsl_vector_complex.h>
 #include <gsl/gsl_block_complex_double.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 typedef struct 
 {
@@ -246,6 +246,6 @@
 
 #endif /* HAVE_INLINE */
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_VECTOR_COMPLEX_DOUBLE_H */

=== modified file 'vector/gsl_vector_complex_float.h'
--- vector/gsl_vector_complex_float.h	2013-03-30 20:12:56 +0000
+++ vector/gsl_vector_complex_float.h	2013-03-30 20:59:11 +0000
@@ -29,17 +29,17 @@
 #include <gsl/gsl_vector_complex.h>
 #include <gsl/gsl_block_complex_float.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 typedef struct 
 {
@@ -246,6 +246,6 @@
 
 #endif /* HAVE_INLINE */
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_VECTOR_COMPLEX_FLOAT_H */

=== modified file 'vector/gsl_vector_complex_long_double.h'
--- vector/gsl_vector_complex_long_double.h	2013-03-30 20:12:56 +0000
+++ vector/gsl_vector_complex_long_double.h	2013-03-30 20:59:11 +0000
@@ -29,17 +29,17 @@
 #include <gsl/gsl_vector_complex.h>
 #include <gsl/gsl_block_complex_long_double.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 typedef struct 
 {
@@ -246,6 +246,6 @@
 
 #endif /* HAVE_INLINE */
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_VECTOR_COMPLEX_LONG_DOUBLE_H */

=== modified file 'vector/gsl_vector_double.h'
--- vector/gsl_vector_double.h	2013-03-30 20:12:56 +0000
+++ vector/gsl_vector_double.h	2013-03-30 20:59:11 +0000
@@ -27,17 +27,17 @@
 #include <gsl/gsl_check_range.h>
 #include <gsl/gsl_block_double.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 typedef struct 
 {
@@ -223,7 +223,7 @@
 }
 #endif /* HAVE_INLINE */
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_VECTOR_DOUBLE_H */
 

=== modified file 'vector/gsl_vector_float.h'
--- vector/gsl_vector_float.h	2013-03-30 20:12:56 +0000
+++ vector/gsl_vector_float.h	2013-03-30 20:59:11 +0000
@@ -27,17 +27,17 @@
 #include <gsl/gsl_check_range.h>
 #include <gsl/gsl_block_float.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 typedef struct 
 {
@@ -223,7 +223,7 @@
 }
 #endif /* HAVE_INLINE */
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_VECTOR_FLOAT_H */
 

=== modified file 'vector/gsl_vector_int.h'
--- vector/gsl_vector_int.h	2013-03-30 20:12:56 +0000
+++ vector/gsl_vector_int.h	2013-03-30 20:59:11 +0000
@@ -27,17 +27,17 @@
 #include <gsl/gsl_check_range.h>
 #include <gsl/gsl_block_int.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 typedef struct 
 {
@@ -223,7 +223,7 @@
 }
 #endif /* HAVE_INLINE */
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_VECTOR_INT_H */
 

=== modified file 'vector/gsl_vector_long.h'
--- vector/gsl_vector_long.h	2013-03-30 20:12:56 +0000
+++ vector/gsl_vector_long.h	2013-03-30 20:59:11 +0000
@@ -27,17 +27,17 @@
 #include <gsl/gsl_check_range.h>
 #include <gsl/gsl_block_long.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 typedef struct 
 {
@@ -223,7 +223,7 @@
 }
 #endif /* HAVE_INLINE */
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_VECTOR_LONG_H */
 

=== modified file 'vector/gsl_vector_long_double.h'
--- vector/gsl_vector_long_double.h	2013-03-30 20:12:56 +0000
+++ vector/gsl_vector_long_double.h	2013-03-30 20:59:11 +0000
@@ -27,17 +27,17 @@
 #include <gsl/gsl_check_range.h>
 #include <gsl/gsl_block_long_double.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 typedef struct 
 {
@@ -223,7 +223,7 @@
 }
 #endif /* HAVE_INLINE */
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_VECTOR_LONG_DOUBLE_H */
 

=== modified file 'vector/gsl_vector_short.h'
--- vector/gsl_vector_short.h	2013-03-30 20:12:56 +0000
+++ vector/gsl_vector_short.h	2013-03-30 20:59:11 +0000
@@ -27,17 +27,17 @@
 #include <gsl/gsl_check_range.h>
 #include <gsl/gsl_block_short.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 typedef struct 
 {
@@ -223,7 +223,7 @@
 }
 #endif /* HAVE_INLINE */
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_VECTOR_SHORT_H */
 

=== modified file 'vector/gsl_vector_uchar.h'
--- vector/gsl_vector_uchar.h	2013-03-30 20:12:56 +0000
+++ vector/gsl_vector_uchar.h	2013-03-30 20:59:11 +0000
@@ -27,17 +27,17 @@
 #include <gsl/gsl_check_range.h>
 #include <gsl/gsl_block_uchar.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 typedef struct 
 {
@@ -223,7 +223,7 @@
 }
 #endif /* HAVE_INLINE */
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_VECTOR_UCHAR_H */
 

=== modified file 'vector/gsl_vector_uint.h'
--- vector/gsl_vector_uint.h	2013-03-30 20:12:56 +0000
+++ vector/gsl_vector_uint.h	2013-03-30 20:59:11 +0000
@@ -27,17 +27,17 @@
 #include <gsl/gsl_check_range.h>
 #include <gsl/gsl_block_uint.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 typedef struct 
 {
@@ -223,7 +223,7 @@
 }
 #endif /* HAVE_INLINE */
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_VECTOR_UINT_H */
 

=== modified file 'vector/gsl_vector_ulong.h'
--- vector/gsl_vector_ulong.h	2013-03-30 20:12:56 +0000
+++ vector/gsl_vector_ulong.h	2013-03-30 20:59:11 +0000
@@ -27,17 +27,17 @@
 #include <gsl/gsl_check_range.h>
 #include <gsl/gsl_block_ulong.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 typedef struct 
 {
@@ -223,7 +223,7 @@
 }
 #endif /* HAVE_INLINE */
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_VECTOR_ULONG_H */
 

=== modified file 'vector/gsl_vector_ushort.h'
--- vector/gsl_vector_ushort.h	2013-03-30 20:12:56 +0000
+++ vector/gsl_vector_ushort.h	2013-03-30 20:59:11 +0000
@@ -27,17 +27,17 @@
 #include <gsl/gsl_check_range.h>
 #include <gsl/gsl_block_ushort.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 typedef struct 
 {
@@ -223,7 +223,7 @@
 }
 #endif /* HAVE_INLINE */
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_VECTOR_USHORT_H */
 

=== modified file 'wavelet/gsl_wavelet.h'
--- wavelet/gsl_wavelet.h	2013-03-30 20:12:56 +0000
+++ wavelet/gsl_wavelet.h	2013-03-30 20:59:11 +0000
@@ -23,17 +23,17 @@
 #include <gsl/gsl_types.h>
 #include <gsl/gsl_errno.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS          /* empty */
-# define __END_DECLS            /* empty */
+# define GSL_BEGIN_DECLS          /* empty */
+# define GSL_END_DECLS            /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 #ifndef GSL_DISABLE_DEPRECATED
 typedef enum {
@@ -103,6 +103,6 @@
                                     double *data, size_t stride, size_t n, 
                                     gsl_wavelet_workspace * work);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_WAVELET_H */

=== modified file 'wavelet/gsl_wavelet2d.h'
--- wavelet/gsl_wavelet2d.h	2013-03-30 20:12:56 +0000
+++ wavelet/gsl_wavelet2d.h	2013-03-30 20:59:11 +0000
@@ -25,17 +25,17 @@
 #include <gsl/gsl_matrix_double.h>
 #include <gsl/gsl_wavelet.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS          /* empty */
-# define __END_DECLS            /* empty */
+# define GSL_BEGIN_DECLS          /* empty */
+# define GSL_END_DECLS            /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 int gsl_wavelet2d_transform (const gsl_wavelet * w, 
                              double *data, 
@@ -102,6 +102,6 @@
                                           gsl_matrix * a, 
                                           gsl_wavelet_workspace * work);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_WAVELET2D_H */

